package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.TeacherRemindTypeEnum;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;

/**
 * 对应数据库表(teacher_remind):
 */
public class TeacherRemind {

	/**  */
	private Long id;
	
	/** 操作人 */
	private Integer operatorId;

	private String operatorName;
	
	/** 教师编号 */
	private Integer teacherId;

	private Date monday;
	
	/** 内容 */
	private String content;
	
	/** 类型 */
	private TeacherRemindTypeEnum type;
	
	/** 创建时间 */
	private java.util.Date createTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setOperatorId(Integer operatorId){
		this.operatorId = operatorId;
	}
	
	public Integer getOperatorId(){
		return this.operatorId;
	}

	public String getOperatorName() {
		return operatorName;
	}

	public void setOperatorName(String operatorName) {
		this.operatorName = operatorName;
	}

	public void setTeacherId(Integer teacherId){
		this.teacherId = teacherId;
	}
	
	public Integer getTeacherId(){
		return this.teacherId;
	}

	public Date getMonday() {
		return monday;
	}

	public void setMonday(Date monday) {
		this.monday = monday;
	}

	public void setContent(String content){
		this.content = content;
	}
	
	public String getContent(){
		return this.content;
	}

	public TeacherRemindTypeEnum getType() {
		return type;
	}

	public void setType(TeacherRemindTypeEnum type) {
		this.type = type;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
